レビューが見つかりません

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは404 Not Foundを返します。そのtypeはhttps://lingo.dev/docs/api/errors/localization-review-not-foundです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。

このドキュメントの翻訳先には、利用可能なレビューがありません。レビューキューを更新してください。

フィールド#

レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
documentIdstring
localestring

例#

json
{
  "detail": "This document target has no available review. Refresh the review queue.",
  "documentId": "<documentId>",
  "locale": "pt-BR",
  "type": "https://lingo.dev/docs/api/errors/localization-review-not-found",
  "status": 404,
  "title": "Review not found"
}

このエラーを返すエンドポイント#

  • GET /v2/localization/documents/{documentId}/targets/{locale}/review
  • GET /v2/localization/documents/{documentId}/targets/{locale}/review/vendor-status
  • POST /v2/localization/documents/{documentId}/targets/{locale}/review/approve-all
  • POST /v2/localization/documents/{documentId}/targets/{locale}/review/decisions